$(document).ready(function(){

	

	var width = $("#screenWidthInput").val();
	var height = $("#screenHeightInput").val();
	var opacity = $("#visibility").val();
	var color = $("#screenBackgroundInput").val();
	var color2 = $("#screenBackgroundInput2").val();
	
	var cWidth = $("#canvasWidthInput").val();
	var cHeight = $("#canvasHeightInput").val();
	MosaicGen.setCanvasSize(cWidth, cHeight);
	
	MosaicGen.setScreenSize(width, height);
	MosaicGen.setVisibility(opacity);
	MosaicGen.setBg(color, color2);
	MosaicGen.refresh();
	
	var typeBackground = $("#typeBg").val();
	MosaicGen.setTypeBg( typeBackground);
	
	$("#saveButton").click(function(){
		var cWidth = $("#canvasWidthInput").val();
		var cHeight = $("#canvasHeightInput").val();
		MosaicGen.setCanvasSize(cWidth, cHeight);
		
		var typeBackground = $("#typeBg").val();
		MosaicGen.setTypeBg( typeBackground);
		
		var width = $("#screenWidthInput").val();
		var height = $("#screenHeightInput").val();
		var color = $("#screenBackgroundInput").val();
		var color2 = $("#screenBackgroundInput2").val();
		MosaicGen.setScreenSize(width, height);
		MosaicGen.setBg(color, color2);
		MosaicGen.refresh();
	
		MosaicGen.save();
		
	});
	
	$("#typeBg").click(function(){
		if(this.value=="one"){
			document.getElementById("color2").style.display="none";
		}else{
			document.getElementById("color2").style.display="inline";
		}
	});
	
	$(".pattern").css({
		width: MosaicGen.PATTERN_SIZE + "px",
		height: MosaicGen.PATTERN_SIZE + "px"
	});
	
	$("#screen").droppable({
		accept: ".pattern",
		greedy : true,
		drop: function(event, ui) {
			
			if(ui.helper.hasClass('pattern-existing')){
				MosaicGen.updateBorders();
				return false;
			}
			
			var top = ui.helper.position().top - $(this).position().top;
			var left = ui.helper.position().left - $(this).position().left;
			
			var newDiv = $(ui.helper).clone(false)
               .removeClass('ui-draggable-dragging').addClass('pattern-existing')
               .css({position:'absolute', left: left, top: top});  
			   

			$(this).append(newDiv);
			
			$(newDiv).draggable({
				revert: "invalid",
				grid: [ MosaicGen.GRID_SIZE, MosaicGen.GRID_SIZE ]
			});
			
			MosaicGen.updateBorders();
        }
	});
	
	$(".pattern").draggable({
		 helper: "clone",
		 revert: "invalid",
		 grid: [ MosaicGen.GRID_SIZE, MosaicGen.GRID_SIZE ]
	});
	

	$("html").droppable({
		drop: function(event, ui) {

		
			//$( ui.helper ).effect( "puff", {}, 500, function(){
				$(ui.helper).remove();
				MosaicGen.updateBorders();
			//});
			
		}
	});
	
	
	$("#setButton").click(function(){
		
		var width = $("#screenWidthInput").val();
		var height = $("#screenHeightInput").val();
		var opacity = $("#visibility").val();
		var color = $("#screenBackgroundInput").val();
		var color2 = $("#screenBackgroundInput2").val();
		
		
		var typeBackground = $("#typeBg").val();
		MosaicGen.setTypeBg( typeBackground);
		
		MosaicGen.setScreenSize(width, height);
		MosaicGen.setVisibility(opacity);
		MosaicGen.setBg(color, color2);
		MosaicGen.refresh();
	});
	

	
});